<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                version="3.0">


  <!-- Template to create the data.xml file -->
  <xsl:template name="get-primary-data">
    <xsl:param name="corpusID"/>
    <xsl:param name="docID"/>
    <xsl:param name="textID"/>

    <xsl:document>
      <xsl:processing-instruction name="xml-model">href=&quot;text.rng&quot; type=&quot;application/xml&quot; schematypens=&quot;http://relaxng.org/ns/structure/1.0&quot;</xsl:processing-instruction>
      <xsl:element name="raw_text" namespace="http://ids-mannheim.de/ns/KorAP">
        <xsl:attribute name="docid">
          <xsl:value-of select="$corpusID" />_<xsl:value-of select="$docID" />.<xsl:value-of select="$textID" />
        </xsl:attribute>
        <metadata file="metadata.xml" />
        <text><xsl:value-of select="//*[local-name()='ab']" /></text>
      </xsl:element>
    </xsl:document>
  </xsl:template>

</xsl:stylesheet>
